Subject: RE: Diff-Serv over MPLS

From: Shahram Davari <[email-masked]>
Date: Thu, 5 Apr 2001 07:23:41 -0700

Hi,

>    Could any of you please explain about the following
> sentence in the draft-ietf-mpls-diff-ext-0.8.txt.
> 
> section 1.2-- Exp-Inferred-PSC LSPS (E-LSP)
> 
> "A single LSP can be used to support up to eight BAs
> of
> a given FEC, regardless of how many OAs these BAs
> span."
> 

This means that an E-LSP can support up to 8 PHBs. But the number of PSCs that can be supported is not fixed, because it depends on the type of PSCs. For example you could support 4 PSCs (= 8 PHBs) as following: AF1x, AF2x, EF, DF

Or you could support only one PSC like CS (= 8 PHBs): CSx

So the Max. number of OAs is variable but the Max number of BAs is fixed= 8.

> A small doubt
>   Suppose PHBs related to a PSC have been assigned to
> different E-LSPs (say AF11 to one LSP and AF12 to
> another LSP)and first few (say 1-10)Packets belonging
> to a microflow have been assigned to AF11 and later
> packets (say 10-15) to AF12. 
> Is it not possible for the packets in AF12 LSP to get
> transferred before the packets in AF11 LSP? If that is
> the case the ordering constraint is violated i.e
> packets are reordered. 

Although this can be done in theory, but you should not do it, becasue of the reordering problem that you mentioned.

Yours,
-Shahram

---

From: Shahram Davari <[email-masked]>
Date: Thu, 5 Apr 2001 12:05:02 -0700

Hi Sasha,

The Diffserv over MPLS draft is not introducing any changes to Diffserv. Therefore all the Diffserv standards must be followed including not reordering the packets belonging to a microflow.

It is true that in theory it is possible to reorder packets that belong to a microflow if PHBs are not mapped properly to E-LSPs, but that is a misconfiguration. I think everybody knows that they should not misconfigure their network.

I don't think we need to tell people how to avoid misordering, all we have to do is to require that no misordering to happen.

Just as an example assume that an AF1x aggregate consists of only 2 microflows: A, and B. If A never exceeds its committed policed rate (therefore all packet belonging to A are AF11), and if B's committed rate is zero, in other words it always exceed its committed rate (therefore all its packets are AF12/AF13), then no reordering of microflow will happen if we send the AF11 aggregate through an E-LSP and the AF12/AF13 through another E-LSP.

Not that I recommend such a configuration, but the above example shows a scenario that is actually compliant with Diffserv.

Yours,
-Shahram

> -----Original Message-----
> From: Sasha Vainshtein [mailto:[email-masked]]
> Sent: Thursday, April 05, 2001 12:16 PM
> To: 'N S S Kishore Kankipati'; [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]'
> Subject: RE: Diff-Serv over MPLS
> 
> 
> 
> Hi,
> 	The reordering issue has been addressed in
> <draft-ietf-diffserv-new-terms-04.txt>,
> 	"New Terminology for Diffserv" with an explicit 
> reference to work 
> 	on MPLS Support of Differentiated Services.
> 	 Section 5 of this I-D introduces the notion of an Ordering
> Aggregate (OA) as 
> 	<quote> A set of Behavior Aggregates that share an ordering
> constraint. 
> 	 The set of PHBs that are applied to this set of 
> Behavior Aggregates
> 
> 	constitutes a PHB scheduling class. <end of quote>
>      	
> 	I suggest that <draft-ietf-mpls-diff-ext-08.txt> should 
> be updated
> to 
> 	allow only grouping of multiple OAs (and not BAs as it 
> does) into
> 	a single E-LSP. The current I-D version explicitly states
> 	that L-LSP is established for a given (OA, FEC) class but is  
> 	ambiguous when it comes to E-LSPs. 
> 
> 	Nabil, in his message in this thread, has noticed that RFC 2597
> 	defines AF<x><y> (y=1,2,3) as an OA for any fixed value 
> of x (1-4). 
> 	The suggested modification would prohibit 
> configurations like one
> described
> 	in the original message. 
> ______________________________________________
> With best regards,
> Sasha Vainshtein
> mailto: [email-masked]
> phone: +972-3-7659993 (office)
> fax:      +972-3-6487779 (office)
> 
> 
> >>-----Original Message-----
> >>From: N S S Kishore Kankipati [mailto:[email-masked]]
> >>Sent: Thursday, April 05, 2001 3:39 PM
> >>To: [email-masked]; [email-masked]
> >>Cc: [email-masked]
> >>Subject: Diff-Serv over MPLS
> >>
> >>
> >>hi all	
> >>packets are reordered. (I think this may happen in 
> >>the following case- if the LSPs are on different 
> >>interfaces of a router and  there may be some packets
> >>which are required to be served in the AF11 while the
> >>packets in AF12 may get immediately served as there
> >>are
> >>no packets before these which require service).
> >> 
> >>thanks
> >>kk
> >>
> >>__________________________________________________
> >>Do You Yahoo!?
> >>Get email at your own domain with Yahoo! Mail. 
> >>http://personal.mail.yahoo.com/
> >>
>

---

From: Sasha Vainshtein <[email-masked]>
Date: Mon, 9 Apr 2001 11:40:20 +0200

Francois,
The modification you suggest indeed improves readability of the document.
However:
	1. I am not sure that people really expect MUST/MUST NOT clauses 
	   to appear in the _Introduction_ part of an RFC/I-D
	   as it happens with such clauses in Sections 1.4 and 1.6.
	   Of course, this is my personal opinion only.
	2. Just to be on the safe side, I would also add an _explicit_
	   pointer to Section 1.4 (or whatever number it would be if 
	   you decide to move it out of the Intro part) to Section 1.2,
e.g.:
	"Section 1.4. describes overall operation of both E-LSPs and L-LSPs.
	Detailed operations of E-LSPs are specified in section 3."
Hopefully these notes will be helpful and not just disturbing.

-----Original Message-----
From: Francois Le Faucheur [mailto:[email-masked]]
Sent: Friday, April 06, 2001 10:55 AM
To: Sasha Vainshtein
Cc: 'N S S Kishore Kankipati'; [email-masked]; [email-masked];
[email-masked]; [email-masked]'
Subject: [Diffserv] RE: Diff-Serv over MPLS

Sasha,

Section 1.4 of <draft-ietf-mpls-diff-ext-08.txt> contains the following
text:

"   For a given FEC, there may be more than one LSP carrying the same
   OA, for example for purposes of load balancing of the OA; However in
   order to respect ordering constraints, all packets of a given
   microflow, possibly spanning multiple BAs of a given Ordered
   Aggregate, MUST be transported over the same LSP. Conversely, each
   LSP MUST be capable of supporting all the (active) BAs of a given
   OA.
"

which applies both to E-LSPs and L-LSPs.

So, I believe (i) the ordering constraint and (ii) the requirement for
L-LSPs to support all active BAs of an OA are already accurately addressed.

The only question is whether the readability of the document would be
improved by some wordsmithing in section 1.2. If you feel that would help,
we can slightly modify the beginning of section 1.2 into:
"   A single LSP can be used to support one or more OAs. Such LSPs can
support up to eight BAs of a given FEC,
   regardless of how many OAs these BAs span."

Do you feel this would improve readability?
If yes, can you confirm the above suggestion is fine?

Cheers

Francois

At 18:15 05/04/2001 +0200, Sasha Vainshtein wrote:
>       "New Terminology for Diffserv" with an explicit reference to work 
>       The set of PHBs that are applied to this set of Behavior Aggregates
>
>       I suggest that <draft-ietf-mpls-diff-ext-08.txt> should be updated
>to 
>       allow only grouping of multiple OAs (and not BAs as it does) into
>       defines AF<x><y> (y=1,2,3) as an OA for any fixed value of x (1-4). 
>       The suggested modification would prohibit configurations like one
>described
>       in the original message. 
PLEASE NOTE NEW CONTACT DETAILS - See below

_________________________________________________________________
Francois Le Faucheur   
Development Engineer, IOS Layer 3 Services 
Cisco Systems 
Office Phone:          +33 4 97 23 26 19
Mobile :               +33 6 89 108 159
Fax:                   +33 4 97 23 26 26
Email:                  [email-masked]
_________________________________________________________________
Cisco Systems Europe
Domaine Green Side
400, Avenue de Roumanille
Bâtiment T3
06 410   BIOT 
SOPHIA ANTIPOLIS
FRANCE
_________________________________________________________________